CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Enumerations
SocketStatus.h File Reference

Go to the source code of this file.

## Enumerations
enum | sfSocketStatus { sfSocketDone, sfSocketNotReady, sfSocketDisconnected, sfSocketError }
| Define the status that can be returned by the socket functions. More...

## Enumeration Type Documentation

enum sfSocketStatus

Define the status that can be returned by the socket functions.

Enumerator
sfSocketDone | The socket has sent / received the data.
sfSocketNotReady | The socket is not ready to send / receive data yet.
sfSocketDisconnected | The TCP socket has been disconnected.
sfSocketError | An unexpected error happened.

Definition at line 33 of file SocketStatus.h.